        <subsystem xmlns="urn:jboss:domain:switchyard:1.0">
           <modules>
              <module identifier="org.switchyard.component.bean"
                      implClass="org.switchyard.component.bean.deploy.BeanComponent"/>
              <module identifier="org.switchyard.component.soap" implClass="org.switchyard.component.soap.deploy.SOAPComponent">
                 <properties>
                    <socketAddr>:18001</socketAddr>
                 </properties>
              </module>
              <module identifier="org.switchyard.component.camel"
                      implClass="org.switchyard.component.camel.deploy.CamelComponent">
                 <properties>
                    <socketAddr>:18001</socketAddr>
                 </properties>
              </module>
              <module identifier="org.switchyard.component.camel.atom"
                      implClass="org.switchyard.component.camel.atom.deploy.CamelAtomComponent"/>
              <module identifier="org.switchyard.component.camel.core"
                      implClass="org.switchyard.component.camel.core.deploy.CamelCoreComponent"/>
              <module identifier="org.switchyard.component.camel.cxf"
                      implClass="org.switchyard.component.camel.cxf.deploy.CamelCxfComponent"/>
              <module identifier="org.switchyard.component.camel.file"
                      implClass="org.switchyard.component.camel.file.deploy.CamelFileComponent"/>
              <module identifier="org.switchyard.component.camel.ftp"
                      implClass="org.switchyard.component.camel.ftp.deploy.CamelFtpComponent"/>
              <module identifier="org.switchyard.component.camel.jms"
                      implClass="org.switchyard.component.camel.jms.deploy.CamelJmsComponent"/>
              <module identifier="org.switchyard.component.camel.jpa"
                      implClass="org.switchyard.component.camel.jpa.deploy.CamelJpaComponent"/>
              <module identifier="org.switchyard.component.camel.mail"
                      implClass="org.switchyard.component.camel.mail.deploy.CamelMailComponent"/>
              <module identifier="org.switchyard.component.camel.mqtt"
                      implClass="org.switchyard.component.camel.mqtt.deploy.CamelMqttComponent"/>
              <module identifier="org.switchyard.component.camel.netty"
                      implClass="org.switchyard.component.camel.netty.deploy.CamelNettyComponent"/>
              <module identifier="org.switchyard.component.camel.quartz"
                      implClass="org.switchyard.component.camel.quartz.deploy.CamelQuartzComponent"/>
              <module identifier="org.switchyard.component.camel.rss"
                      implClass="org.switchyard.component.camel.rss.deploy.CamelRSSComponent"/>
              <module identifier="org.switchyard.component.camel.sap"
                      implClass="org.switchyard.component.camel.sap.deploy.CamelSapComponent"/>
              <module identifier="org.switchyard.component.camel.sql"
                      implClass="org.switchyard.component.camel.sql.deploy.CamelSqlComponent"/>
              <module identifier="org.switchyard.component.bpel"
                      implClass="org.switchyard.component.bpel.deploy.BPELComponent"/>
              <module identifier="org.switchyard.component.http"
                      implClass="org.switchyard.component.http.deploy.HttpComponent"/>
              <module identifier="org.switchyard.component.jca" implClass="org.switchyard.component.jca.deploy.JCAComponent"/>
              <module identifier="org.switchyard.component.sca" implClass="org.switchyard.component.sca.deploy.SCAComponent">
                 <properties>
                    <cache-name>cluster</cache-name>
                 </properties>
              </module>
              <module identifier="org.switchyard.component.resteasy"
                      implClass="org.switchyard.component.resteasy.deploy.RESTEasyComponent"/>
           </modules>
           <extensions>
              <extension identifier="org.apache.camel.component.bindy"/>
              <extension identifier="org.apache.camel.component.hl7"/>
              <extension identifier="org.apache.camel.component.mina2"/>
              <extension identifier="org.apache.camel.component.mvel"/>
              <extension identifier="org.apache.camel.component.ognl"/>
              <extension identifier="org.apache.camel.component.jaxb"/>
              <extension identifier="org.apache.camel.component.saxon"/>
              <extension identifier="org.apache.camel.component.soap"/>
           </extensions>
        </subsystem>
